PWAs

GET https://pushye.com/api/pwas/
curl --request GET \
--url 'https://pushye.com/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Параметры Детали Описание
search Необязательный Строка Строка поиска.
search_by Необязательный Строка По какому полю вы ищете? Разрешенные значения: name.
datetime_field Необязательный Строка Разрешенные значения: datetime, last_datetime
datetime_start Необязательный Строка Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Необязательный Строка Filter results up to this datetime. Y-m-d H:i:s format.
order_by Необязательный Строка По какому полю отсортировать результаты. Разрешенные значения: pwa_id, name, datetime, last_datetime.
order_type Необязательный Строка Порядок результатов. Разрешенные значения: ASC для восходящего порядка и DESC для нисходящего порядка.
page Необязательный Целое число Номер страницы, с которой вы хотите получить результаты. По умолчанию 1.
results_per_page Необязательный Целое число Сколько результатов вы хотите на странице. Допустимые значения: 10, 25, 50, 100, 250, 500, 1000. По умолчанию 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-09-13 16:12:27"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/pwas?page=1",
        "last": "https://pushye.com/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/pwas?page=1"
    }
}
GET https://pushye.com/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-13 16:12:27"
    }
}
POST https://pushye.com/api/pwas
Параметры Детали Описание
name Обязательно Строка The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Необязательный Строка Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Необязательный Строка Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Необязательный Строка The full URL that opens when your PWA is launched.
background_color Необязательный Строка The background color used on the splash screen and while the app is loading.
theme_color Необязательный Строка The browser UI color that matches your app's theme.
app_icon_url Обязательно Строка The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Необязательный Строка Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Необязательный Строка Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Необязательный Строка Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Необязательный Строка Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Необязательный Строка Optional description to explain the shortcut.
shortcut_url_{1-3} Необязательный Строка URL the shortcut should open.
shortcut_icon_url_{1-3} Необязательный Строка Make sure the icon is 128x128 pixels, PNG file.
id Необязательный Строка Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Необязательный Строка Разрешенные значения: fullscreen, standalone, minimal-ui, browser
orientation Необязательный Строка Разрешенные значения: portrait, landscape, any
dir Необязательный Строка Разрешенные значения: auto, ltr, rtl
lang Необязательный Строка en for English, de for German, etc.
scope_url Необязательный Строка Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-13 16:12:27"
    }
}
POST https://pushye.com/api/pwas/{pwa_id}
Параметры Детали Описание
name Необязательный Строка The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Необязательный Строка Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Необязательный Строка Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Необязательный Строка The full URL that opens when your PWA is launched.
background_color Необязательный Строка The background color used on the splash screen and while the app is loading.
theme_color Необязательный Строка The browser UI color that matches your app's theme.
app_icon_url Необязательный Строка The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Необязательный Строка Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Необязательный Строка Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Необязательный Строка Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Необязательный Строка Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Необязательный Строка Optional description to explain the shortcut.
shortcut_url_{1-3} Необязательный Строка URL the shortcut should open.
shortcut_icon_url_{1-3} Необязательный Строка Make sure the icon is 128x128 pixels, PNG file.
id Необязательный Строка Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Необязательный Строка Разрешенные значения: fullscreen, standalone, minimal-ui, browser
orientation Необязательный Строка Разрешенные значения: portrait, landscape, any
dir Необязательный Строка Разрешенные значения: auto, ltr, rtl
lang Необязательный Строка en for English, de for German, etc.
scope_url Необязательный Строка Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-09-13 16:12:27",
        "datetime": "2026-09-13 16:12:27"
    }
}
DELETE https://pushye.com/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \